﻿using System;
using System.ComponentModel.DataAnnotations;

namespace ELTE.TravelAgency.Models
{
    /// <summary>
    /// Felhasználóval jelszóváltoztatásával kapcsolatos információk.
    /// </summary>
    public class UserPasswordChasngeViewModel : UserViewModel
    {
        /// <summary>
        /// Új jelszó.
        /// </summary>
        [Required(ErrorMessage = "Az új jelszó megadása kötelező.")]
        [RegularExpression("^[A-Za-z0-9_-]{5,40}$", ErrorMessage = "A jelszó formátuma, vagy hossza nem megfelelő.")]
        [DataType(DataType.Password)]
        public String NewPassword { get; set; }

        /// <summary>
        /// Új jelszó ismételt megadása.
        /// </summary>
        [Required(ErrorMessage = "Az új jelszó ismételt megadása kötelező.")]
        [Compare("NewPassword", ErrorMessage = "A két jelszó nem egyezik.")]
        [DataType(DataType.Password)]
        public String NewPasswordConfirmation { get; set; }
    }
}